Subject: bug#65156: 29.1; Reading from pipe with --insert or insert-file-contents no longer supported

From: Paul Eggert <[email-masked]>
Date: Fri, 11 Aug 2023 14:45:48 -0700

On 2023-08-11 11:30, Eli Zaretskii wrote:
> This is fine, but I think instead of "act as if REPLACE were nil" we
> should explicitly say that the buffer is erased and the file's
> contents is inserted.

I'm still a bit lost here. It's news to me that REPLACE being nil means 
the entire buffer is erased first.

The bigger picture is that I don't know what insert-file-contents is 
supposed to do in all these complicated circumstances. THat is the 
various motivations behind insert-file-contents's complex argument 
combinations don't fully make sense to me. So I'll step aside and let 
someone more expert fix the doc string, whenever anybody has the time.